using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CoinSpawner : MonoBehaviour
{
    public GameObject coinPrefab; // Prefab del wand que será instanciado
    public float spawnHeight = 6f; // Altura de spawn
    public float spawnIntervalMin = 4f; // Tiempo mínimo entre spawns
    public float spawnIntervalMax = 6f; // Tiempo máximo entre spawns

    void Start()
    {
        StartCoroutine(SpawnCoin());
    }

    IEnumerator SpawnCoin()
    {
        while (true)
        {
            // Elegir un tiempo aleatorio para el próximo spawn
            float interval = Random.Range(spawnIntervalMin, spawnIntervalMax);

            // Esperar el tiempo seleccionado
            yield return new WaitForSeconds(interval);

            // Elegir una posición aleatoria en el eje X
            float randomX = Random.Range(-3.5f, 3.5f);

            // Crear el wand en la posición calculada
            Vector3 spawnPosition = new Vector3(randomX, spawnHeight, -1f);
            Quaternion spawnRotation = Quaternion.identity; // Rotación estándar
            Instantiate(coinPrefab, spawnPosition, spawnRotation);
        }
    }
}
